#include <stdio.h>

/*  G L O B A L   D E F I N E S  */
#define byte unsigned char
#define SIZERAW 2352
#define SIZEISO 2048

FILE *INPUT, *OUTPUT;

int main( argc, argv )

int argc;
char *argv[];
{   	    
  byte buf[SIZERAW + 100];

  /* Tell them what I am. */
  fprintf (stderr, "raw2iso - Converts RAW format files to ISO format - V1.0\n\n");
  fprintf (stderr, "Usage: raw2iso image.raw image.iso\n\n");
  /* Input -- process -- Output */
     if ( argc != 3 ) return 1;
     INPUT  = fopen( argv[1], "rb" );
     OUTPUT = fopen( argv[2], "wb" );
     memset( &buf[0], '\0', sizeof( buf ) );
     while( fread( &buf[0], SIZERAW, 1, INPUT ) ) {
     	fwrite( &buf[0]+16, SIZEISO, 1, OUTPUT );
     	memset( &buf[0], '\0', sizeof( buf ) );   };
	return 0;
}